Plate decoder

License Plate Decoder (v1)

Decode a license plate into vehicle data. Internally proxies to the v2 plate decoder. The `state` parameter accepts a two-letter US state code, Australian state, or one of the legacy country codes `BR`, `UK`, `IR`, `IT`, `ES`, `IND`, `MX`, `NZ`.


Checking account...
GET
/platedecoder

Decode a license plate into vehicle data. Internally proxies to the v2 plate decoder. The state parameter accepts a two-letter US state code, Australian state, or one of the legacy country codes BR, UK, IR, IT, ES, IND, MX, NZ.

Authorization

ApiKeyQuery
key<token>

Your CarsXE API key, passed as the key query parameter.

In: query

Query Parameters

plate*string

The vehicle registration number or license plate number.

state*string

The two letter state code (US) such as CA or NY, Australian state, or Brazil BR, United Kingdom UK, Ireland IR, Italy IT, Spain ES, India IND, Mexico MX, New Zealand NZ.

country?string

Country code, e.g. Australia AU. Optional for US.

format?string

The format of the response. One of json or xml.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -G https://api.carsxe.com/platedecoder \  -d key=CARSXE_API_KEY \  -d plate=string \  -d state=string
{
  "success": true,
  "input": {
    "plate": "7XER187",
    "state": "CA",
    "country": "US"
  },
  "vin": "3KPFK4A78HE103497",
  "assembly": "Mexico",
  "Description": "Kia Forte LX",
  "BodyStyle": "Sedan",
  "RegistrationYear": "2017",
  "EngineSize": "2.0L I4 MPI",
  "CarMake": "Kia",
  "CarModel": "Forte"
}

{
  "success": false,
  "message": "Missing vehicle registration number or license plate number"
}

{
  "success": false,
  "message": "Missing API key"
}

{
  "success": false,
  "message": "Could not fetch data"
}
{
  "success": false,
  "message": "API usage limit exceeded",
  "usage": {
    "current": 1000,
    "limit": 1000,
    "remaining": 0
  }
}
{
  "success": false,
  "message": "Could not fetch data"
}
{
  "success": false,
  "message": "Request timed out. Please try again."
}